if not PotionBar then PotionBar = {} end
if not PotionBarData then PotionBarData = {} end
if not PotionBarSettings then PotionBarSettings = {} end

PotionBar.German = {}

PotionBar.German.Build = {}
PotionBar.German.Build =
{
    [PotionBar.Build.Right] = { Desc = L"Rechts" },
    [PotionBar.Build.Left] = { Desc = L"Links" },
    [PotionBar.Build.Up] = { Desc = L"Aufwrts" },
    [PotionBar.Build.Down] = { Desc = L"Abwrts" },
}

PotionBar.German.Priorities = {}
PotionBar.German.Priorities =
{
    [PotionBar.Priorities.BigStack] = { Desc = L"Grter Stapel" },
    [PotionBar.Priorities.LessStack] = { Desc = L"Kleinster Stapel" },
    [PotionBar.Priorities.Weakest] = { Desc = L"Schwchster Trank" },
    [PotionBar.Priorities.Strongest] = { Desc = L"Strkster Trank" },
}

PotionBar.German.StackCountInfoType = {}
PotionBar.German.StackCountInfoType =
{
    [PotionBar.StackCountInfoType.Hide] = { Desc = L"Nichts" },
    [PotionBar.StackCountInfoType.Single] = { Desc = L"Zeige Stapelanzahl an" },
    [PotionBar.StackCountInfoType.Total] = { Desc = L"Zeige Gesammtzahl an" },
}

PotionBar.German.ActivatorModes = 
{
    [PotionBar.ActivatorModes.LeftOrUpper] = { Desc = L"Normal" },
    [PotionBar.ActivatorModes.RightOrBottom] = { Desc = L"Auf der anderen Seite" },
    [PotionBar.ActivatorModes.Hide] = { Desc = L"Verstecke Anfasser" },
}

PotionBar.German.Type =
{
    [PotionBar.Type.AP] = { Desc = L"Aktionspunkte"},
    [PotionBar.Type.HEAL] = { Desc = L"Heilung" },
    [PotionBar.Type.REGEN] = { Desc = L"Regeneration" },
    [PotionBar.Type.SHIELD] = { Desc = L"Absorption" },
    [PotionBar.Type.STRENGTH] = { Desc = L"Strke" },
    [PotionBar.Type.INTELLIGENCE] = { Desc = L"Intelligenz" },
    [PotionBar.Type.BALLISTIC] = { Desc = L"Ballistik" },
    [PotionBar.Type.TOUGHNESS] = { Desc = L"Widerstand" }, 
    [PotionBar.Type.SPIRIT] = { Desc = L"Geist" }, 
    [PotionBar.Type.ELEMENTAL] = { Desc = L"Elementar" },
    [PotionBar.Type.CORPOREAL] = { Desc = L"Krper" },
    [PotionBar.Type.ARMOR] = { Desc = L"Rstung" },
    [PotionBar.Type.THORNS] = { Desc = L"Dornen" },
    [PotionBar.Type.WILLPOWER] = { Desc = L"Willenskraft" },
    [PotionBar.Type.DOT] = { Desc = L"Brennendes Ziel" },
    [PotionBar.Type.AOEDOT] = { Desc = L"Brennender Bereich" },
    [PotionBar.Type.SNARE] = { Desc = L"Verlangsamung"}, 
    [PotionBar.Type.FIREBREATH] = { Desc = L"Feueratem" },

    [PotionBar.Type.INSPIRATIONALWINDS] = { Desc = L"Willenskraft + Heilbonus" }, -- Salbung der inspirierenden Winde
    [PotionBar.Type.SAVAGEVIGOR] = { Desc = L"Widerstand + kritische Nahkampftreffer" }, -- Salbung der schonungslosen Schlagkraft
    [PotionBar.Type.UNFETTEREDZEAL] = { Desc = L"Strke + Heilbonus" }, -- Salbung des uneingeschrnkten Eifers
    [PotionBar.Type.WARBLOOD] = { Desc = L"Leben + kritische Nahkampftreffer" }, -- Salbung des Krieges: Blut
    [PotionBar.Type.WARDEMISE] = { Desc = L"Leben + Nahkampfbonus" }, -- Salbung des Krieges: Niedergang
    [PotionBar.Type.WARFERVOR] = { Desc = L"Leben + kritische Fernkampftreffer" }, -- Salbung des Krieges: Eifer
    [PotionBar.Type.WARGENIUS] = { Desc = L"Leben + kritische Magietreffer" }, -- Salbung des Krieges: Begabung
    [PotionBar.Type.WARHUNGER] = { Desc = L"Leben + Strke" }, -- Salbung des Krieges: Hunger
    [PotionBar.Type.WARMERCY] = { Desc = L"Leben + Heilbonus" }, -- Salbung des Krieges: Gnade
    [PotionBar.Type.ETERNALHUNT] = { Desc = L"Ballistik + kritische Fernkampftreffer" }, -- Salbung der ewigen Jagd
    [PotionBar.Type.INEVITABLETEMPEST] = { Desc = L"Strke + Nahkampfbonus" }, -- Salbung des unvermeindlichen Sturms
    [PotionBar.Type.TOLLINGBELL] = { Desc = L"Intelligenz + kritische Magietreffer" }, -- Salbung der zollenden Glocke
    [PotionBar.Type.NEPENTHEANTONIC] = { Desc = L"Wiederbelebungstrank" }, -- Tonikum des Gttertrunks

    [PotionBar.Type.UNKNOWNS] = { Desc = L"Alle anderen" },
    [PotionBar.Type.SINGLES] = { Desc = L"Einzelne" },

}

PotionBar.German.Strings = {} 
PotionBar.German.Strings =
{
    Config = L"Einstellungen...",
    FloatHint1 = L"PotionBar ist mit der linken Maustaste verschiebbar.",
    FloatHint2 = L"Drcke die rechte Maustaste um PotionBar zu konfigurieren.",

    TitleBarText = L"PotionBar Konfiguration",
    RightPaneTitle = L"Reihenfolge und Prioritt",
    LeftTopPaneTitle = L"Anzeigeoptionen",
    BuildLabel = L"Ausrichtung", 
    AutohideLabel = L"Ausblenden",
    ScaleLabel = L"Skalierung",
    OpacityLabel = L"Deckkraft",
    OKButton = L"OK",
    ResetButton = L"Standard Einstellungen",
    AboutButton = L"ber...",
    InfoTopRight = L"Anzahl oben rechts",
    InfoBottomRight = L"Anzahl unten rechts",
    Show1Label = L"Zeige Anzahl von 1 an",
    ShowLastLabel = L"Zeige Anzahl des letzten Stapels an",
    DontSplitNameLabel = L"Zeige alle Varianten als ein Stapel an",
    ActivatorLabel = L"Position des Anfassers",

    BuildHint = L"Whle die Ausrichtung von PotionBar.",
    AutoHideHint = L"Mache ein Hkchen, damit PotionBar sich automatisch ausblendet.",
    MoveUpHint = L"Drcke hier, um Trnke dieser Art frher aufzuzeigen.",
    MoveDownHint = L"Drcke hier, um Trnke dieser Art spter aufzuzeigen.",
    UseHint = L"Mache ein Hkchen, um Trnke dieser Art in PotionBar anzuzeigen.",
    MethodHint = L"Whle, nach welcher Methode PotionBar Trnke priorisieren soll.",
    InfoTopRightHint = L"Whle die Art der Anzahl, die in der oberen rechten Ecke des Trankes angezeigt werden soll.",
    InfoBottomRightHint = L"Whle die Art der Anzahl, die in der unteren rechten Ecke des Trankes angezeigt werden soll.",
    Show1Hint = L"Mache ein Hkchen, falls PotionBar auch dann die Anzahl anzeigen soll, falls sie Eins entspricht.",
    ShowLastHint = L"Mache ein Hkchen, um auch dann die Gesammtzahl anzuzeigen, wenn es der letzte Stapel ist.",
    DontSplitNameHint = L"Mache ein Hkchen, um unterschiedliche Namen von Trnken zu ignorieren.",
    ActivatorHint = L"Hiermit bestimmst du die Position des kleinen runden Anfassers von PotionBar",

    HelpTitle = L"PotionBar kennt folgende Kommandos:",
    HelpForUnknown = L"Um einen bestimmten Tank zu trinken, nutze dieses Kommando:",
    HelpNameOfPotion = "Name des Trankes",
    HelpForMacros = L"Wenn du deine Trnke aus einem Makro nutzen willst, muss dein Makro so aussehen:",

    MacroPotionFound1 = "PotionBar benutzt '",
    MacroPotionFound2 = "' aus dem Gepcktaschenplatz ",
    MacroPotionFound3 = ".",

    MacroNoPotionFound1 = L"PotionBar 'use' Kommandofehler",
    MacroNoPotionFound2 = "Nicht gefunden: ",
    MacroNoPotionFound3 = "",

    MacroPotionOnCoolDown1 = "PotionBar kann '",
    MacroPotionOnCoolDown2 = "' nicht benutzen, weil es noch im CoolDown ist.",
}

function PotionBar.getValuesDE(name, description)
    local potionV, potionD, potionT, potionC, potionTy = 0, 0, 0, 0, 0
    if string.find(description, 'Stellt sofort[^%d]+%d+[^%d]+ wieder her.') then
        potionV = PotionBar.getNumbers(description, 1)
        if string.find(description, 'ktionspunk') then
            potionTy = PotionBar.Type.AP
        elseif string.find(description, 'ebenspunkt') then
            potionTy = PotionBar.Type.HEAL
        end
    elseif string.find(description, 'Heilt[^%d]+[%d]+[^%d]+ekund[^%d]+lang alle[^%d]+%d+[^%d]+[%d]+') then
        potionD, potionT, potionV = PotionBar.getNumbers(description, 3)
        potionV = potionV * (potionD/potionT)
        potionTy = PotionBar.Type.REGEN
    elseif string.find(description, 'Stellt[^%d]+[%d]+[^%d]+lang insgesamt[^%d]+%d+[^%d]+enspunk[^%d]+wieder her') then
        potionD, potionV = PotionBar.getNumbers(description, 2)
        potionTy = PotionBar.Type.REGEN
    elseif string.find(description, 'Absorbiert[^%d]+[%d]+[^%d]+ekund[^%d]+%d+[^%d]+chaden') then
        potionD, potionV = PotionBar.getNumbers(description, 2)
        potionTy = PotionBar.Type.SHIELD
    elseif string.find(description, 'Umgibt Euch bis zu[^%d]+[%d]+[^%d]+ng mit einer mag[^%d]+%d+[^%d]+absorbie') then
        potionD, potionV = PotionBar.getNumbers(description, 2)
        potionTy = PotionBar.Type.SHIELD
    elseif string.find(description, 'Erh[^%d]+re[^%d]+[%d]+[^%d]+inu[^%d]+lang um[^%d]+[%d]+') then
        potionD, potionV = PotionBar.getNumbers(description, 2)
        potionD = potionD * 60
        if string.find(description, 'St[^%d]+rke') then
            potionTy = PotionBar.Type.STRENGTH
        elseif string.find(description, 'Intelligenz') then
            potionTy = PotionBar.Type.INTELLIGENCE
        elseif string.find(description, 'Ballistische') then
            potionTy = PotionBar.Type.BALLISTIC
        elseif string.find(description, 'Widerstand') then
            potionTy = PotionBar.Type.TOUGHNESS
        elseif string.find(description, 'Geistresistenz') then
            potionTy = PotionBar.Type.SPIRIT
        elseif string.find(description, 'Elementarresistenz') then
            potionTy = PotionBar.Type.ELEMENTAL
        elseif string.find(description, 'K[^%d]+rperresistenz') then
            potionTy = PotionBar.Type.CORPOREAL
        elseif string.find(description, 'R[^%d]+stung') then
            potionTy = PotionBar.Type.ARMOR
        elseif string.find(description, 'Willenskraft') then
            potionTy = PotionBar.Type.WILLPOWER
        end
    elseif string.find(description, 'Dornen bedec') then
        potionD, potionV = PotionBar.getNumbers(description, 2) 
        potionD = potionD * 60
        potionTy = PotionBar.Type.THORNS
    elseif string.find(description, 'Ein unbest[^%d]+ndiges Gebr[^%d]+u, das Euer Ziel') then
        potionD, potionT, potionV = PotionBar.getNumbers(description, 3)
        potionV = potionV * (potionD/potionT)
        potionTy = PotionBar.Type.DOT
    elseif string.find(description, 'Eine brennende Mixtur, die an') then
        potionD, potionV = PotionBar.getNumbers(description, 2)
        potionTy = PotionBar.Type.DOT
    elseif string.find(description, 'Eine abscheuliche Mixtur, die ein') then
        potionT, potionD, potionV = PotionBar.getNumbers(description, 3)
        potionV = potionV * potionD
        potionTy = PotionBar.Type.AOEDOT
    elseif string.find(description, 'wenn sie aufschl[^%d]+gt und allen Feinden innerhalb von') then
        potionD, potionC, potionT, potionV = PotionBar.getNumbers(description, 4)
        potionV = potionV * (potionD/potionT)
        potionTy = PotionBar.Type.AOEDOT
    elseif string.find(description, 'dickfl[^%d]+ssige Mixtur, die das Zielgebiet') then
        potionT, potionD, potionV = PotionBar.getNumbers(description, 3)
        potionTy = PotionBar.Type.SNARE
    elseif string.find(description, 'dickfl[^%d]+ssige Mixtur, die den Boden') then
        potionD, potionC, potionV = PotionBar.getNumbers(description, 3)
        potionTy = PotionBar.Type.SNARE
    elseif string.find(description, 'Ein feuriger Schluck, der benutzt werden kann') then
        potionC, potionD, potionV = PotionBar.getNumbers(description, 3)
        potionTy = PotionBar.Type.FIREBREATH
    elseif string.find(name, 'Salbung der inspirierenden Winde') then
        potionV, potionD = 100, 1800
        potionTy = PotionBar.Type.INSPIRATIONALWINDS
    elseif string.find(name, 'Salbung der schonungslosen Schlagkraft') then
        potionV, potionD = 100, 1800
        potionTy = PotionBar.Type.SAVAGEVIGOR
    elseif string.find(name, 'Salbung des uneingeschr.*nkten Eifers') then
        potionV, potionD = 100, 1800
        potionTy = PotionBar.Type.UNFETTEREDZEAL
    elseif string.find(name, 'Salbung des Krieges.*Blut') then
        potionV, potionD = 100, 1800
        potionTy = PotionBar.Type.WARBLOOD
    elseif string.find(name, 'Salbung des Krieges.*Niedergang') then
        potionV, potionD = 100, 1800
        potionTy = PotionBar.Type.WARDEMISE
    elseif string.find(name, 'Salbung des Krieges.*Eifer') then
        potionV, potionD = 100, 1800
        potionTy = PotionBar.Type.WARFERVOR
    elseif string.find(name, 'Salbung des Krieges.*Genialit.*t') then
        potionV, potionD = 100, 1800
        potionTy = PotionBar.Type.WARGENIUS
    elseif string.find(name, 'Salbung des Krieges.*Hunger') then
        potionV, potionD = 80, 1800
        potionTy = PotionBar.Type.WARHUNGER
    elseif string.find(name, 'Salbung des Krieges.*Gnade') then
        potionV, potionD = 100, 1800
        potionTy = PotionBar.Type.WARMERCY
    elseif string.find(name, 'Salbung der ewigen Jagd') then
        potionV, potionD = 100, 1800
        potionTy = PotionBar.Type.ETERNALHUNT
    elseif string.find(name, 'Salbung des unvermeidlichen Sturms') then
        potionV, potionD = 100, 1800
        potionTy = PotionBar.Type.INEVITABLETEMPEST
    elseif string.find(name, 'Salbung der l.*utenden Glocke') then
        potionV, potionD = 100, 1800
        potionTy = PotionBar.Type.TOLLINGBELL
    elseif string.find(name, 'Tonikum des G.*ttertrunks') then
        potionV, potionD = 10000, 1
        potionTy = PotionBar.Type.NEPENTHEANTONIC
    end
    return potionV, potionD, potionTy
end
